aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/common/linux/gcc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/common/linux/gcc.sh')
-rwxr-xr-xcoin/provisioning/common/linux/gcc.sh59
1 files changed, 14 insertions, 45 deletions
diff --git a/coin/provisioning/common/linux/gcc.sh b/coin/provisioning/common/linux/gcc.sh
index c26c9bf1..243b9ff6 100755
--- a/coin/provisioning/common/linux/gcc.sh
+++ b/coin/provisioning/common/linux/gcc.sh
@@ -1,37 +1,6 @@
#!/usr/bin/env bash
-
-#############################################################################
-##
-## Copyright (C) 2018 The Qt Company Ltd.
-## Contact: http://www.qt.io/licensing/
-##
-## This file is part of the provisioning scripts of the Qt Toolkit.
-##
-## $QT_BEGIN_LICENSE:LGPL21$
-## Commercial License Usage
-## Licensees holding valid commercial Qt licenses may use this file in
-## accordance with the commercial license agreement provided with the
-## Software or, alternatively, in accordance with the terms contained in
-## a written agreement between you and The Qt Company. For licensing terms
-## and conditions see http://www.qt.io/terms-conditions. For further
-## information use the contact form at http://www.qt.io/contact-us.
-##
-## GNU Lesser General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU Lesser
-## General Public License version 2.1 or version 3 as published by the Free
-## Software Foundation and appearing in the file LICENSE.LGPLv21 and
-## LICENSE.LGPLv3 included in the packaging of this file. Please review the
-## following information to ensure the GNU Lesser General Public License
-## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
-## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
-##
-## As a special exception, The Qt Company gives you certain additional
-## rights. These rights are described in The Qt Company LGPL Exception
-## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
-##
-## $QT_END_LICENSE$
-##
-#############################################################################
+# Copyright (C) 2021 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
# This script builds GCC from sources
@@ -50,20 +19,20 @@ function InstallGCC() {
tmpFolder="/tmp"
- prebuiltGCC="http://ci-files01-hki.intra.qt.io/input/gcc/gcc-$version-prebuilt.tar.gz"
+ prebuiltGCC="http://ci-files01-hki.ci.qt.io/input/gcc/gcc-$version-prebuilt.tar.gz"
prebuiltTarget="$tmpFolder/gcc-$version-prebuilt.tar.gz"
installPrefix="/usr/local"
suffixVersion=$(echo "$version" | cut -d "." -f1,2)
sourceFile="gcc-$version.tar.xz"
- cachedUrl="http://ci-files01-hki.intra.qt.io/input/gcc/$sourceFile"
- officialUrl="ftp://ftp.mpi-sb.mpg.de/pub/gnu/mirror/gcc.gnu.org/pub/gcc/releases/gcc-$version/$sourceFile"
+ cachedUrl="http://ci-files01-hki.ci.qt.io/input/gcc/$sourceFile"
+ officialUrl="https://gcc.gnu.org/pub/gcc/releases/gcc-$version/gcc-$version.tar.xz"
targetFile="$tmpFolder/$sourceFile"
buildFolder="$HOME/gcc_build"
echo "Fetching prebuilt GCC."
- curl --fail -L --retry 5 --retry-delay 5 -o "$prebuiltTarget" "$prebuiltGCC" || (
+ DownloadURL "$prebuiltGCC" "" "$prebuiltSHA1" "$prebuiltTarget" || (
echo "Fetching prebuilt GCC failed. Building from sources."
DownloadURL "$cachedUrl" "$officialUrl" "$sourcesSHA1" "$targetFile"
)
@@ -88,15 +57,15 @@ function InstallGCC() {
# openSUSE has update-alternatives under /usr/sbin and it has grouped the commands by means of master and slave links
if [ -f "/usr/sbin/update-alternatives" ]; then
- sudo /usr/sbin/update-alternatives --install /usr/bin/gcc gcc "$installPrefix/bin/gcc-$suffixVersion" "$priority" \
- --slave /usr/bin/g++ g++ "$installPrefix/bin/g++-$suffixVersion" \
- --slave /usr/bin/cc cc "$installPrefix/bin/gcc-$suffixVersion" \
- --slave /usr/bin/c++ c++ "$installPrefix/bin/g++-$suffixVersion"
+ sudo /usr/sbin/update-alternatives --install /usr/bin/gcc gcc "$installPrefix/bin/gcc${suffixVersion}" "$priority" \
+ --slave /usr/bin/g++ g++ "$installPrefix/bin/g++${suffixVersion}" \
+ --slave /usr/bin/cc cc "$installPrefix/bin/gcc${suffixVersion}" \
+ --slave /usr/bin/c++ c++ "$installPrefix/bin/g++${suffixVersion}"
else
- sudo /usr/bin/update-alternatives --install /usr/bin/gcc gcc "$installPrefix/bin/gcc-$suffixVersion" "$priority"
- sudo /usr/bin/update-alternatives --install /usr/bin/g++ g++ "$installPrefix/bin/g++-$suffixVersion" "$priority"
- sudo /usr/bin/update-alternatives --install /usr/bin/cc cc "$installPrefix/bin/gcc-$suffixVersion" "$priority"
- sudo /usr/bin/update-alternatives --install /usr/bin/c++ c++ "$installPrefix/bin/g++-$suffixVersion" "$priority"
+ sudo /usr/bin/update-alternatives --install /usr/bin/gcc gcc "$installPrefix/bin/gcc-${suffixVersion}" "$priority"
+ sudo /usr/bin/update-alternatives --install /usr/bin/g++ g++ "$installPrefix/bin/g++-${suffixVersion}" "$priority"
+ sudo /usr/bin/update-alternatives --install /usr/bin/cc cc "$installPrefix/bin/gcc-${suffixVersion}" "$priority"
+ sudo /usr/bin/update-alternatives --install /usr/bin/c++ c++ "$installPrefix/bin/g++-${suffixVersion}" "$priority"
fi
echo "/usr/local/lib64" | sudo tee /etc/ld.so.conf.d/gcc-libraries.conf